// Contexte graphique
const cvs = document.getElementById("zone_dessin");
cvs.width = 700;
cvs.height = 350;
const ctx = cvs.getContext("2d");

import {Scene} from "./mario_scene.js";
import {Clavier} from "./mario_clavier.js";
import {Mario} from "./mario_personnage.js";
import {Bloc} from "./mario_objet.js";
import {Tuyau} from "./mario_objet.js";

export const scene = new Scene(cvs.width, cvs.height);
const clavier = new Clavier();
export const mario = new Mario(300, 245);
const tuyau = new Tuyau(600, 228);
const bloc =new Bloc(400, 180);

// Dessin de l'écran
function dessine(){
    if(mario.proche(tuyau) === true){
        mario.contact(tuyau);
    }
    if(mario.proche(bloc) === true){
        mario.contact(bloc);
    }  
    scene.deplacementFond(ctx);
    tuyau.deplacement();
    bloc.deplacement();
    if(mario.saut === true){
        ctx.drawImage(mario.saute(), mario.x, mario.y);
    }else{
        ctx.drawImage(mario.marche("mario", 20), mario.x, mario.y);
    }
    ctx.drawImage(tuyau.imgTuyau, tuyau.x, tuyau.y);
    ctx.drawImage(bloc.imgBloc, bloc.x, bloc.y);
    ctx.lineWiidth = 3;
    ctx.strokeRect(0, 0, cvs.width, cvs.height);
    requestAnimationFrame(dessine);
}
dessine();
